#include <iostream>
#include <string>
#include <sstream>

using namespace std;

int main(int argc, char** argv)
{
	
	int koor[100][2];
	int n;
	int kol;
	int prva;
	int druga;
	double k1, k2;
	cin >> n;
	for(int i = 0; i < n; i++)
	{
		cin >> koor[i][0];
		cin >> koor[i][1];
	}
	for(int i = 0; i < n; i++)
	{
		for(int j = 0; j < n; j++)
		{
			if(koor[i] != koor[j])
			{
				for(int k = 0; k < n; k++)
				{
					if(koor[k] != koor[i] && koor[k] != koor[j])
					{
						for(int l = 0; l < n; l++)
						{
							if(koor[l] != koor[i] && koor[l] != koor[j] && koor[l] != koor[k])
							{
								prva = (koor[i][0] - koor[j][0]) * (koor[i][0] - koor[j][0]) + (koor[i][1] - koor[j][1]) * (koor[i][1] - koor[j][1]);
								druga = (koor[k][0] - koor[l][0]) * (koor[k][0] - koor[l][0]) + (koor[k][1] - koor[l][1]) * (koor[k][1] - koor[l][1]);
								if(koor[i][1] == koor[j][1])
								{
									k1 = -1;
								}
								else
								{
									k1 = (koor[i][0] - koor[j][0]) / (koor[i][1] - koor[j][1]);
								}
								if(koor[k][1] == koor[l][1])
								{
									k2 = -1;
								}
								else
								{
									k2 = (koor[k][0] - koor[l][0]) / (koor[k][1] - koor[l][1]);
								}
								if(k1 == k2)
								{
									if((prva == 4 * druga) || (4 * prva == druga))
										kol++;
								}
							}
						}
					}
				}
			}
		}
	}
	cout << kol / 3;
}